PersonIdentificationSchemeName1Choice
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class PersonIdentificationSchemeName1Choice

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.PersonIdentificationSchemeName1Choice

-     public class PersonIdentificationSchemeName1Choice
      extends java.lang.Object

  Java class for PersonIdentificationSchemeName1Choice complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonIdentificationSchemeName1Choice">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}ExternalPersonIdentification1Code"/>
                 <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}Max35Text"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cd`
    `protected java.lang.String` | `prtry`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonIdentificationSchemeName1Choice()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCd()` Gets the value of the cd property.
    `java.lang.String` | `getPrtry()` Gets the value of the prtry property.
    `void` | `setCd(java.lang.String value)` Sets the value of the cd property.
    `void` | `setPrtry(java.lang.String value)` Sets the value of the prtry property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cd

          protected java.lang.String cd

    - #### prtry

          protected java.lang.String prtry

  - ### Constructor Detail

    - #### PersonIdentificationSchemeName1Choice

          public PersonIdentificationSchemeName1Choice()

  - ### Method Detail

    - #### getCd

          public java.lang.String getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `String`

    - #### setCd

          public void setCd(java.lang.String value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPrtry

          public java.lang.String getPrtry()

      Gets the value of the prtry property.
      Returns:
        possible object is `String`

    - #### setPrtry

          public void setPrtry(java.lang.String value)

      Sets the value of the prtry property.
      Parameters:
        `value` - allowed object is `String`